{: test that writing to a file opened for reading causes a fatal error }

{$d+}
program d033( input, output );

begin {d033}
   writeln( input, 'A' );     { !!! can't write to input }
   writeln( 'fails: write to input' );
end. { d033 }

